RedCrawler API
Moderation V1

Modmail Unread Count V1

Get unread modmail counts. Requires moderator privileges.

GET /api/v1/moderate/modmail/unread-count

Get unread modmail counts. Requires moderator privileges.

Query parameters

NameTypeRequiredDescription
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/unread-count?bearer=<bearer>&proxy=<proxy>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/unread-count?bearer=<bearer>&proxy=<proxy>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/unread-count?bearer=<bearer>&proxy=<proxy>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "highlighted": 0,
    "notifications": 0,
    "archived": 0,
    "appeals": 0,
    "join_requests": 0,
    "new": 0,
    "filtered": 0,
    "inprogress": 0,
    "mod": 0
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:04.673391+00:00"
}

On this page